net.snowflake.client.jdbcapi

## Class PreparedStatementIT

- java.lang.Object
- - net.snowflake.client.AbstractDriverIT
  - - net.snowflake.client.jdbcapi.BaseJDBCTest
    - - net.snowflake.client.jdbcapi.PreparedStatementIT

    public class PreparedStatementIT
    extends BaseJDBCTest

Author:
  hyu

### Constructor Summary

Constructors
Constructor and Description
`PreparedStatementIT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setUp()`
`void` `tearDown()`
`void` `testBatchInsertWithCacheEnabled()`
`void` `testClearBatch()`
`void` `testClearParameters()`
`void` `testDeleteOneRow()`
`void` `testInsertBatch()`
`void` `testInsertOneRow()`
`void` `testLimitBind()`
`void` `testPrepStWithCacheEnabled()`
`void` `testSelectOneRow()`
`void` `testUpdateBatch()`
`void` `testUpdateOneRow()`

### Methods inherited from class net.snowflake.client.jdbcapi.BaseJDBCTest

`compareTwoLists, fetchColumnInResultSet, fetchResultSet, getConnection, getConnection, getInfoViaSQLCmd, getSFProjectRootString, getSizeOfResultSet, loadConfig`

### Methods inherited from class net.snowflake.client.AbstractDriverIT

`getConnection, getConnection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreparedStatementIT

    public PreparedStatementIT()

### Method Detail

#### setUp

    public void setUp()
               throws SQLException

Overrides:
  `setUp` in class `AbstractDriverIT`
Throws:
  `SQLException`

#### tearDown

    public void tearDown()
                  throws SQLException

Overrides:
  `tearDown` in class `AbstractDriverIT`
Throws:
  `SQLException`

#### testInsertBatch

    public void testInsertBatch()
                         throws SQLException

Throws:
  `SQLException`

#### testClearParameters

    public void testClearParameters()
                             throws SQLException

Throws:
  `SQLException`

#### testClearBatch

    public void testClearBatch()
                        throws SQLException

Throws:
  `SQLException`

#### testInsertOneRow

    public void testInsertOneRow()
                          throws SQLException

Throws:
  `SQLException`

#### testUpdateOneRow

    public void testUpdateOneRow()
                          throws SQLException

Throws:
  `SQLException`

#### testDeleteOneRow

    public void testDeleteOneRow()
                          throws SQLException

Throws:
  `SQLException`

#### testSelectOneRow

    public void testSelectOneRow()
                          throws SQLException

Throws:
  `SQLException`

#### testUpdateBatch

    public void testUpdateBatch()
                         throws SQLException

Throws:
  `SQLException`

#### testLimitBind

    public void testLimitBind()
                       throws SQLException

Throws:
  `SQLException`

#### testPrepStWithCacheEnabled

    public void testPrepStWithCacheEnabled()
                                    throws SQLException

Throws:
  `SQLException`

#### testBatchInsertWithCacheEnabled

    public void testBatchInsertWithCacheEnabled()
                                         throws SQLException

Throws:
  `SQLException`